﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CrearContacto.aspx.cs" Inherits="PresentacionWEB.CrearContacto" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Crear Contacto</title>
    <link href="https://fonts.googleapis.com/css?family=Nunito&display=swap" rel="stylesheet">
    <link href="estilos.css" rel="stylesheet" />
</head>
<body>
    <form id="form1" runat="server">
        <div class="dEncabezado">
            Crear Contacto
        </div>
        <div class="dContenido">
            <table class="tFormulario">
                <tr>
                    <td>
                        <asp:Label ID="Label1" runat="server" Text="Identificación:" CssClass="label"></asp:Label>
                        <div>
                            <asp:TextBox ID="TextBox_Identificacion" runat="server" CssClass="input" ValidationGroup="crear"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator1"
                                runat="server"
                                ControlToValidate="TextBox_Identificacion"
                                Display="None"
                                ErrorMessage="La Identificación es Requerida."
                                ValidationGroup="crear">
                            </asp:RequiredFieldValidator>
                            <asp:RegularExpressionValidator ID="RegularExpressionValidator1"
                                runat="server"
                                ControlToValidate="TextBox_Identificacion"
                                ValidationExpression="^\d+$"
                                Display="None"
                                ErrorMessage="La Identificación solo puede estar conformada por números."
                                ValidationGroup="crear">
                            </asp:RegularExpressionValidator>
                        </div>
                    </td>
                </tr>

                <tr>
                    <td>
                        <asp:Label ID="Label2" runat="server" Text="Primer Nombre:" CssClass="label"></asp:Label>
                        <div>
                            <asp:TextBox ID="TextBox_PrimerNombre" runat="server" CssClass="input" ValidationGroup="crear"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2"
                                runat="server"
                                ControlToValidate="TextBox_PrimerNombre"
                                Display="None"
                                ErrorMessage="El Primer Nombre es Requerido."
                                ValidationGroup="crear">
                            </asp:RequiredFieldValidator>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>

                        <asp:Label ID="Label3" runat="server" Text="Segundo Nombre:" CssClass="label"></asp:Label>
                        <br />
                        <asp:TextBox ID="TextBox_SegundoNombre" runat="server" CssClass="input" ValidationGroup="crear"></asp:TextBox>
                    </td>
                </tr>
                <tr>
                    <td>

                        <asp:Label ID="Label4" runat="server" Text="Primer Apellido:" CssClass="label"></asp:Label>
                        <br />
                        <asp:TextBox ID="TextBox_PrimerApellido" runat="server" CssClass="input" ValidationGroup="crear"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator3"
                            runat="server"
                            ControlToValidate="TextBox_PrimerApellido"
                            Display="None"
                            ErrorMessage="El Primer Apellido es Requerido."
                            ValidationGroup="crear">
                        </asp:RequiredFieldValidator>
                    </td>
                </tr>
                <tr>
                    <td>

                        <asp:Label ID="Label5" runat="server" Text="Segundo Apellido:" CssClass="label"></asp:Label>
                        <br />
                        <asp:TextBox ID="TextBox_SegundoApellido" runat="server" CssClass="input" ValidationGroup="crear"></asp:TextBox>

                    </td>
                </tr>
                <tr>
                    <td>

                        <asp:Label ID="Label6" runat="server" Text="Correo:" CssClass="label"></asp:Label>
                        <br />
                        <asp:TextBox ID="TextBox_Correo" runat="server" CssClass="input" ValidationGroup="crear"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="RequiredFieldValidator4"
                            runat="server"
                            ControlToValidate="TextBox_Correo"
                            Display="None"
                            ErrorMessage="El Correo es Requerido."
                            ValidationGroup="crear">
                        </asp:RequiredFieldValidator>
                        <asp:RegularExpressionValidator ID="RegularExpressionValidator3"
                            runat="server"
                            ControlToValidate="TextBox_Correo"
                            ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"
                            Display="None"
                            ErrorMessage="El correo digitado no tiene un formato correcto. Ejemplo: correo@correo.com."
                            ValidationGroup="crear">
                        </asp:RegularExpressionValidator>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div class="contenedor_boton">
                            <asp:Button ID="Button_Crear" runat="server" Text="Crear" ValidationGroup="crear" OnClick="Button_Crear_Click" />
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:ValidationSummary ID="ValidationSummary_Mensaje" runat="server" CssClass="vsMensaje" ValidationGroup="crear" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <asp:Label ID="Label_MensajeDeServidor" runat="server" Text="Aquí va un mensaje enviado desde el servidor"></asp:Label>
                    </td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>
